--------------------------------------------------------------------------------
-- Copyright (c) 1995-2013 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____
--  /   /\/   /
-- /___/  \  /    Vendor: Xilinx
-- \   \   \/     Version: P.20131013
--  \   \         Application: netgen
--  /   /         Filename: Timer_MMSS_NEXYS2_synthesis.vhd
-- /___/   /\     Timestamp: Fri Dec 08 17:16:11 2017
-- \   \  /  \ 
--  \___\/\___\
--             
-- Command	: -intstyle ise -ar Structure -tm Timer_MMSS_NEXYS2 -w -dir netgen/synthesis -ofmt vhdl -sim Timer_MMSS_NEXYS2.ngc Timer_MMSS_NEXYS2_synthesis.vhd 
-- Device	: xc3s500e-5-fg320
-- Input file	: Timer_MMSS_NEXYS2.ngc
-- Output file	: \\spy.upc.es\francesc.j.robert\CSD\1718Q1\P8\Timer_MMSS_NEXYS2\netgen\synthesis\Timer_MMSS_NEXYS2_synthesis.vhd
-- # of Entities	: 1
-- Design Name	: Timer_MMSS_NEXYS2
-- Xilinx	: C:\Xilinx\14.7\ISE_DS\ISE\
--             
-- Purpose:    
--     This VHDL netlist is a verification model and uses simulation 
--     primitives which may not represent the true implementation of the 
--     device, however the netlist is functionally correct and should not 
--     be modified. This file cannot be synthesized and should only be used 
--     with supported simulation tools.
--             
-- Reference:  
--     Command Line Tools User Guide, Chapter 23
--     Synthesis and Simulation Design Guide, Chapter 6
--             
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
use UNISIM.VPKG.ALL;

entity Timer_MMSS_NEXYS2 is
  port (
    G_L : out STD_LOGIC; 
    CD : in STD_LOGIC := 'X'; 
    Stop : in STD_LOGIC := 'X'; 
    ST_up : in STD_LOGIC := 'X'; 
    Start : in STD_LOGIC := 'X'; 
    ST_down : in STD_LOGIC := 'X'; 
    DP_L : out STD_LOGIC; 
    A_L : out STD_LOGIC; 
    B_L : out STD_LOGIC; 
    C_L : out STD_LOGIC; 
    Soundwave : out STD_LOGIC; 
    D_L : out STD_LOGIC; 
    Alarm_LED : out STD_LOGIC; 
    E_L : out STD_LOGIC; 
    Timer_LED : out STD_LOGIC; 
    F_L : out STD_LOGIC; 
    OSC_CLK_in : in STD_LOGIC := 'X'; 
    CA_L : out STD_LOGIC_VECTOR ( 3 downto 0 ) 
  );
end Timer_MMSS_NEXYS2;

architecture Structure of Timer_MMSS_NEXYS2 is
  signal A_L_OBUF_1 : STD_LOGIC; 
  signal B_L_OBUF_4 : STD_LOGIC; 
  signal CA_L_0_OBUF_9 : STD_LOGIC; 
  signal CA_L_1_OBUF_10 : STD_LOGIC; 
  signal CA_L_2_OBUF_11 : STD_LOGIC; 
  signal CA_L_3_OBUF_12 : STD_LOGIC; 
  signal CD_IBUF_14 : STD_LOGIC; 
  signal C_L_OBUF_16 : STD_LOGIC; 
  signal Chip1_CE : STD_LOGIC; 
  signal Chip1_Chip1_CLK_1 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_D0021_36 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_D004_37 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_D0U : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_LDU : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_N0 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_D001_58 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_D0021_59 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_D007_60 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_D0U : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_LDU : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip2_N0 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_TC60S : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd1_65 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd1_In_66 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd2_67 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd2_In : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd2_In21_69 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd2_In40_70 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd3_71 : STD_LOGIC; 
  signal Chip1_Chip2_current_state_FSM_FFd3_In : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state2 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state3 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state4 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state5 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_Mcount_present_state6 : STD_LOGIC; 
  signal Chip1_Chip3_Chip1_TC125_cmp_eq0000 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state2 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state3 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state4 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state5 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state6 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state_xor_6_1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip2_Mcount_present_state_xor_6_11 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state2 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state3 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state4 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state5 : STD_LOGIC; 
  signal Chip1_Chip3_Chip3_Mcount_present_state6 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state2 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state3 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state4 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state_xor_1_1 : STD_LOGIC; 
  signal Chip1_Chip3_Chip4_Mcount_present_state_xor_1_11_124 : STD_LOGIC; 
  signal Chip1_Chip3_Chip5_present_state_130 : STD_LOGIC; 
  signal Chip1_Chip3_Chip5_present_state_mux0000 : STD_LOGIC; 
  signal Chip1_Chip3_Chip6_next_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip6_next_state_0_mux000021_134 : STD_LOGIC; 
  signal Chip1_Chip3_Chip6_next_state_0_mux00008_135 : STD_LOGIC; 
  signal Chip1_Chip3_Chip7_next_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip8_next_state : STD_LOGIC; 
  signal Chip1_Chip3_Chip9_next_state : STD_LOGIC; 
  signal Chip1_Chip3_N01 : STD_LOGIC; 
  signal Chip1_Chip3_N10 : STD_LOGIC; 
  signal Chip1_Chip3_N11 : STD_LOGIC; 
  signal Chip1_Chip3_N111 : STD_LOGIC; 
  signal Chip1_Chip3_N2 : STD_LOGIC; 
  signal Chip1_Chip3_N36 : STD_LOGIC; 
  signal Chip1_Chip3_N5 : STD_LOGIC; 
  signal Chip1_Chip3_Pulsed_3_2kHz : STD_LOGIC; 
  signal Chip1_Chip3_Pulsed_40Hz : STD_LOGIC; 
  signal Chip1_UD_L : STD_LOGIC; 
  signal Chip2_CHIP2_Mmux_y11 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_3_153 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_31_154 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_32_155 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_33_156 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_4_157 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_41_158 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_42_159 : STD_LOGIC; 
  signal Chip2_CHIP3_Mmux_y_43_160 : STD_LOGIC; 
  signal Chip2_CHIP4_Mshreg_present_state_FSM_FFd3_161 : STD_LOGIC; 
  signal Chip2_CHIP4_present_state_FSM_FFd1_162 : STD_LOGIC; 
  signal Chip2_CHIP4_present_state_FSM_FFd2_163 : STD_LOGIC; 
  signal Chip2_CHIP4_present_state_FSM_FFd3_164 : STD_LOGIC; 
  signal DP_L_OBUF_171 : STD_LOGIC; 
  signal D_L_OBUF_173 : STD_LOGIC; 
  signal E_L_OBUF_175 : STD_LOGIC; 
  signal F_L_OBUF_177 : STD_LOGIC; 
  signal G_L_OBUF_179 : STD_LOGIC; 
  signal N1 : STD_LOGIC; 
  signal N101 : STD_LOGIC; 
  signal N102 : STD_LOGIC; 
  signal N107 : STD_LOGIC; 
  signal N111 : STD_LOGIC; 
  signal N113 : STD_LOGIC; 
  signal N114 : STD_LOGIC; 
  signal N116 : STD_LOGIC; 
  signal N117 : STD_LOGIC; 
  signal N119 : STD_LOGIC; 
  signal N120 : STD_LOGIC; 
  signal N122 : STD_LOGIC; 
  signal N124 : STD_LOGIC; 
  signal N126 : STD_LOGIC; 
  signal N127 : STD_LOGIC; 
  signal N129 : STD_LOGIC; 
  signal N133 : STD_LOGIC; 
  signal N136 : STD_LOGIC; 
  signal N144 : STD_LOGIC; 
  signal N145 : STD_LOGIC; 
  signal N147 : STD_LOGIC; 
  signal N150 : STD_LOGIC; 
  signal N154 : STD_LOGIC; 
  signal N158 : STD_LOGIC; 
  signal N160 : STD_LOGIC; 
  signal N162 : STD_LOGIC; 
  signal N163 : STD_LOGIC; 
  signal N164 : STD_LOGIC; 
  signal N166 : STD_LOGIC; 
  signal N168 : STD_LOGIC; 
  signal N170 : STD_LOGIC; 
  signal N172 : STD_LOGIC; 
  signal N174 : STD_LOGIC; 
  signal N176 : STD_LOGIC; 
  signal N178 : STD_LOGIC; 
  signal N180 : STD_LOGIC; 
  signal N182 : STD_LOGIC; 
  signal N184 : STD_LOGIC; 
  signal N185 : STD_LOGIC; 
  signal N186 : STD_LOGIC; 
  signal N187 : STD_LOGIC; 
  signal N188 : STD_LOGIC; 
  signal N189 : STD_LOGIC; 
  signal N190 : STD_LOGIC; 
  signal N191 : STD_LOGIC; 
  signal N192 : STD_LOGIC; 
  signal N193 : STD_LOGIC; 
  signal N194 : STD_LOGIC; 
  signal N195 : STD_LOGIC; 
  signal N196 : STD_LOGIC; 
  signal N197 : STD_LOGIC; 
  signal N198 : STD_LOGIC; 
  signal N199 : STD_LOGIC; 
  signal N20 : STD_LOGIC; 
  signal N200 : STD_LOGIC; 
  signal N201 : STD_LOGIC; 
  signal N202 : STD_LOGIC; 
  signal N203 : STD_LOGIC; 
  signal N204 : STD_LOGIC; 
  signal N205 : STD_LOGIC; 
  signal N22 : STD_LOGIC; 
  signal N24 : STD_LOGIC; 
  signal N26 : STD_LOGIC; 
  signal N30 : STD_LOGIC; 
  signal N32 : STD_LOGIC; 
  signal N37 : STD_LOGIC; 
  signal N39 : STD_LOGIC; 
  signal N41 : STD_LOGIC; 
  signal N52 : STD_LOGIC; 
  signal N54 : STD_LOGIC; 
  signal N56 : STD_LOGIC; 
  signal N60 : STD_LOGIC; 
  signal N62 : STD_LOGIC; 
  signal N64 : STD_LOGIC; 
  signal N66 : STD_LOGIC; 
  signal N68 : STD_LOGIC; 
  signal N70 : STD_LOGIC; 
  signal N72 : STD_LOGIC; 
  signal N74 : STD_LOGIC; 
  signal N78 : STD_LOGIC; 
  signal N80 : STD_LOGIC; 
  signal N82 : STD_LOGIC; 
  signal N84 : STD_LOGIC; 
  signal N86 : STD_LOGIC; 
  signal N94 : STD_LOGIC; 
  signal N96 : STD_LOGIC; 
  signal N98 : STD_LOGIC; 
  signal N99 : STD_LOGIC; 
  signal OSC_CLK_in_BUFGP_269 : STD_LOGIC; 
  signal ST_down_IBUF_271 : STD_LOGIC; 
  signal ST_up_IBUF_273 : STD_LOGIC; 
  signal Soundwave_OBUF_275 : STD_LOGIC; 
  signal Start_IBUF_277 : STD_LOGIC; 
  signal Stop_IBUF_279 : STD_LOGIC; 
  signal Timer_LED_OBUF_281 : STD_LOGIC; 
  signal Chip1_Chip1_Chip1_Chip1_Chip1_future_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip1_Chip1_present_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip1_Chip2_future_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip1_Chip2_present_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip2_Chip1_future_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip2_Chip1_present_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip2_Chip2_future_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip1_Chip1_Chip2_Chip2_present_state : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip1_Chip3_Chip1_present_state : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal Chip1_Chip3_Chip2_present_state : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal Chip1_Chip3_Chip3_present_state : STD_LOGIC_VECTOR ( 6 downto 0 ); 
  signal Chip1_Chip3_Chip4_present_state : STD_LOGIC_VECTOR ( 4 downto 0 ); 
  signal Chip1_Chip3_Chip6_current_state : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal Chip1_Chip3_Chip7_current_state : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal Chip1_Chip3_Chip8_current_state : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal Chip1_Chip3_Chip9_current_state : STD_LOGIC_VECTOR ( 0 downto 0 ); 
  signal Chip2_DIG : STD_LOGIC_VECTOR ( 3 downto 0 ); 
  signal Chip2_SEL : STD_LOGIC_VECTOR ( 1 downto 1 ); 
begin
  XST_VCC : VCC
    port map (
      P => N1
    );
  Chip2_CHIP4_present_state_FSM_FFd2 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip7_current_state(0),
      D => Chip2_CHIP4_present_state_FSM_FFd3_164,
      Q => Chip2_CHIP4_present_state_FSM_FFd2_163
    );
  Chip2_CHIP4_present_state_FSM_FFd1 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip7_current_state(0),
      D => Chip2_CHIP4_present_state_FSM_FFd2_163,
      Q => Chip2_CHIP4_present_state_FSM_FFd1_162
    );
  Chip2_CHIP3_Mmux_y_2_f5_2 : MUXF5
    port map (
      I0 => Chip2_CHIP3_Mmux_y_43_160,
      I1 => Chip2_CHIP3_Mmux_y_33_156,
      S => Chip2_SEL(1),
      O => Chip2_DIG(3)
    );
  Chip2_CHIP3_Mmux_y_2_f5_1 : MUXF5
    port map (
      I0 => Chip2_CHIP3_Mmux_y_42_159,
      I1 => Chip2_CHIP3_Mmux_y_32_155,
      S => Chip2_SEL(1),
      O => Chip2_DIG(2)
    );
  Chip2_CHIP3_Mmux_y_2_f5_0 : MUXF5
    port map (
      I0 => Chip2_CHIP3_Mmux_y_41_158,
      I1 => Chip2_CHIP3_Mmux_y_31_154,
      S => Chip2_SEL(1),
      O => Chip2_DIG(1)
    );
  Chip2_CHIP3_Mmux_y_2_f5 : MUXF5
    port map (
      I0 => Chip2_CHIP3_Mmux_y_4_157,
      I1 => Chip2_CHIP3_Mmux_y_3_153,
      S => Chip2_SEL(1),
      O => Chip2_DIG(0)
    );
  Chip1_Chip2_current_state_FSM_FFd3 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip6_current_state(0),
      CLR => CD_IBUF_14,
      D => Chip1_Chip2_current_state_FSM_FFd3_In,
      Q => Chip1_Chip2_current_state_FSM_FFd3_71
    );
  Chip1_Chip2_current_state_FSM_FFd1 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip6_current_state(0),
      CLR => CD_IBUF_14,
      D => Chip1_Chip2_current_state_FSM_FFd1_In_66,
      Q => Chip1_Chip2_current_state_FSM_FFd1_65
    );
  Chip1_Chip2_current_state_FSM_FFd2 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip6_current_state(0),
      CLR => CD_IBUF_14,
      D => Chip1_Chip2_current_state_FSM_FFd2_In,
      Q => Chip1_Chip2_current_state_FSM_FFd2_67
    );
  Chip1_Chip3_Chip4_present_state_4 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_40Hz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip4_Mcount_present_state4,
      Q => Chip1_Chip3_Chip4_present_state(4)
    );
  Chip1_Chip3_Chip4_present_state_3 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_40Hz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip4_Mcount_present_state3,
      Q => Chip1_Chip3_Chip4_present_state(3)
    );
  Chip1_Chip3_Chip4_present_state_2 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_40Hz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip4_Mcount_present_state2,
      Q => Chip1_Chip3_Chip4_present_state(2)
    );
  Chip1_Chip3_Chip4_present_state_1 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_40Hz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip4_Mcount_present_state1,
      Q => Chip1_Chip3_Chip4_present_state(1)
    );
  Chip1_Chip3_Chip4_present_state_0 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_40Hz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip4_Mcount_present_state,
      Q => Chip1_Chip3_Chip4_present_state(0)
    );
  Chip1_Chip3_Chip3_present_state_6 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state6,
      Q => Chip1_Chip3_Chip3_present_state(6)
    );
  Chip1_Chip3_Chip3_present_state_5 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state5,
      Q => Chip1_Chip3_Chip3_present_state(5)
    );
  Chip1_Chip3_Chip3_present_state_4 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state4,
      Q => Chip1_Chip3_Chip3_present_state(4)
    );
  Chip1_Chip3_Chip3_present_state_3 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state3,
      Q => Chip1_Chip3_Chip3_present_state(3)
    );
  Chip1_Chip3_Chip3_present_state_2 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state2,
      Q => Chip1_Chip3_Chip3_present_state(2)
    );
  Chip1_Chip3_Chip3_present_state_1 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state1,
      Q => Chip1_Chip3_Chip3_present_state(1)
    );
  Chip1_Chip3_Chip3_present_state_0 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Pulsed_3_2kHz,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip3_Mcount_present_state,
      Q => Chip1_Chip3_Chip3_present_state(0)
    );
  Chip1_Chip3_Chip1_present_state_6 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state6,
      Q => Chip1_Chip3_Chip1_present_state(6)
    );
  Chip1_Chip3_Chip1_present_state_5 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state5,
      Q => Chip1_Chip3_Chip1_present_state(5)
    );
  Chip1_Chip3_Chip1_present_state_4 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state4,
      Q => Chip1_Chip3_Chip1_present_state(4)
    );
  Chip1_Chip3_Chip1_present_state_3 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state3,
      Q => Chip1_Chip3_Chip1_present_state(3)
    );
  Chip1_Chip3_Chip1_present_state_2 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state2,
      Q => Chip1_Chip3_Chip1_present_state(2)
    );
  Chip1_Chip3_Chip1_present_state_1 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state1,
      Q => Chip1_Chip3_Chip1_present_state(1)
    );
  Chip1_Chip3_Chip1_present_state_0 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => N1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip1_Mcount_present_state,
      Q => Chip1_Chip3_Chip1_present_state(0)
    );
  Chip1_Chip3_Chip2_present_state_6 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state6,
      Q => Chip1_Chip3_Chip2_present_state(6)
    );
  Chip1_Chip3_Chip2_present_state_5 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state5,
      Q => Chip1_Chip3_Chip2_present_state(5)
    );
  Chip1_Chip3_Chip2_present_state_4 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state4,
      Q => Chip1_Chip3_Chip2_present_state(4)
    );
  Chip1_Chip3_Chip2_present_state_3 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state3,
      Q => Chip1_Chip3_Chip2_present_state(3)
    );
  Chip1_Chip3_Chip2_present_state_2 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state2,
      Q => Chip1_Chip3_Chip2_present_state(2)
    );
  Chip1_Chip3_Chip2_present_state_1 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state1,
      Q => Chip1_Chip3_Chip2_present_state(1)
    );
  Chip1_Chip3_Chip2_present_state_0 : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip2_Mcount_present_state,
      Q => Chip1_Chip3_Chip2_present_state(0)
    );
  Chip1_Chip3_Chip6_current_state_0 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip6_next_state,
      Q => Chip1_Chip3_Chip6_current_state(0)
    );
  Chip1_Chip3_Chip7_current_state_0 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip7_next_state,
      Q => Chip1_Chip3_Chip7_current_state(0)
    );
  Chip1_Chip3_Chip8_current_state_0 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip8_next_state,
      Q => Chip1_Chip3_Chip8_current_state(0)
    );
  Chip1_Chip3_Chip9_current_state_0 : FDC
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip9_next_state,
      Q => Chip1_Chip3_Chip9_current_state(0)
    );
  Chip1_Chip3_Chip5_present_state : FDCE
    generic map(
      INIT => '0'
    )
    port map (
      C => OSC_CLK_in_BUFGP_269,
      CE => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      CLR => CD_IBUF_14,
      D => Chip1_Chip3_Chip5_present_state_mux0000,
      Q => Chip1_Chip3_Chip5_present_state_130
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_present_state_0 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(0),
      Q => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_present_state_1 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(1),
      Q => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_present_state_2 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(2),
      Q => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_present_state_3 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(3),
      Q => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_present_state_0 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(0),
      Q => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_present_state_1 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(1),
      Q => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_present_state_2 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(2),
      Q => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_present_state_3 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(3),
      Q => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_present_state_0 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(0),
      Q => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_present_state_1 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(1),
      Q => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_present_state_2 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(2),
      Q => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_present_state_3 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(3),
      Q => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_present_state_0 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(0),
      Q => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_present_state_1 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(1),
      Q => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_present_state_2 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(2),
      Q => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_present_state_3 : FDC
    port map (
      C => Chip1_Chip1_CLK_1,
      CLR => CD_IBUF_14,
      D => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(3),
      Q => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3)
    );
  Chip1_Chip1_Chip2_Y1 : LUT3
    generic map(
      INIT => X"E4"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I1 => Chip1_Chip3_Chip9_current_state(0),
      I2 => Chip1_Chip3_Chip8_current_state(0),
      O => Chip1_Chip1_CLK_1
    );
  Chip1_Chip1_Soundwave1 : LUT2
    generic map(
      INIT => X"8"
    )
    port map (
      I0 => Chip1_Chip3_Chip7_current_state(0),
      I1 => Chip1_Chip2_current_state_FSM_FFd1_65,
      O => Soundwave_OBUF_275
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_0_11 : LUT4
    generic map(
      INIT => X"0155"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(0),
      I1 => Chip1_Chip3_Chip4_present_state(3),
      I2 => Chip1_Chip3_Chip4_present_state(2),
      I3 => Chip1_Chip3_Chip4_present_state(4),
      O => Chip1_Chip3_Chip4_Mcount_present_state
    );
  Chip1_Chip2_current_state_FSM_FFd3_In1 : LUT4
    generic map(
      INIT => X"A930"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I2 => ST_up_IBUF_273,
      I3 => ST_down_IBUF_271,
      O => Chip1_Chip2_current_state_FSM_FFd3_In
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_3_111 : LUT3
    generic map(
      INIT => X"1F"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(5),
      I1 => Chip1_Chip3_Chip3_present_state(4),
      I2 => Chip1_Chip3_Chip3_present_state(6),
      O => Chip1_Chip3_N01
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_4_11 : LUT3
    generic map(
      INIT => X"41"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(6),
      I1 => Chip1_Chip3_Chip3_present_state(4),
      I2 => Chip1_Chip3_N5,
      O => Chip1_Chip3_Chip3_Mcount_present_state4
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_1_11 : LUT3
    generic map(
      INIT => X"60"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(0),
      I1 => Chip1_Chip3_Chip3_present_state(1),
      I2 => Chip1_Chip3_N01,
      O => Chip1_Chip3_Chip3_Mcount_present_state1
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_3_11 : LUT4
    generic map(
      INIT => X"4414"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(4),
      I1 => Chip1_Chip3_Chip4_present_state(3),
      I2 => Chip1_Chip3_Chip4_present_state(2),
      I3 => Chip1_Chip3_N111,
      O => Chip1_Chip3_Chip4_Mcount_present_state3
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_5_11 : LUT4
    generic map(
      INIT => X"4414"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(6),
      I1 => Chip1_Chip3_Chip3_present_state(5),
      I2 => Chip1_Chip3_Chip3_present_state(4),
      I3 => Chip1_Chip3_N5,
      O => Chip1_Chip3_Chip3_Mcount_present_state5
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_2_11 : LUT4
    generic map(
      INIT => X"2888"
    )
    port map (
      I0 => Chip1_Chip3_N01,
      I1 => Chip1_Chip3_Chip3_present_state(2),
      I2 => Chip1_Chip3_Chip3_present_state(0),
      I3 => Chip1_Chip3_Chip3_present_state(1),
      O => Chip1_Chip3_Chip3_Mcount_present_state2
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_4_12 : LUT4
    generic map(
      INIT => X"1008"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(3),
      I1 => Chip1_Chip3_Chip4_present_state(2),
      I2 => Chip1_Chip3_N111,
      I3 => Chip1_Chip3_Chip4_present_state(4),
      O => Chip1_Chip3_Chip4_Mcount_present_state4
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_6_12 : LUT4
    generic map(
      INIT => X"1008"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(4),
      I1 => Chip1_Chip3_Chip3_present_state(5),
      I2 => Chip1_Chip3_N5,
      I3 => Chip1_Chip3_Chip3_present_state(6),
      O => Chip1_Chip3_Chip3_Mcount_present_state6
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_0_1_SW0 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(4),
      I1 => Chip1_Chip3_Chip2_present_state(3),
      I2 => Chip1_Chip3_Chip2_present_state(2),
      O => N20
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_0_1 : LUT4
    generic map(
      INIT => X"1333"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(5),
      I1 => Chip1_Chip3_Chip2_present_state(0),
      I2 => Chip1_Chip3_Chip2_present_state(6),
      I3 => N20,
      O => Chip1_Chip3_Chip2_Mcount_present_state
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_0_1_SW0 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(3),
      I1 => Chip1_Chip3_Chip1_present_state(2),
      I2 => Chip1_Chip3_Chip1_present_state(4),
      O => N22
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_0_1 : LUT4
    generic map(
      INIT => X"1333"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(0),
      I2 => Chip1_Chip3_Chip1_present_state(6),
      I3 => N22,
      O => Chip1_Chip3_Chip1_Mcount_present_state
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_1_1_SW0 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(5),
      I1 => Chip1_Chip3_Chip2_present_state(4),
      I2 => Chip1_Chip3_Chip2_present_state(3),
      I3 => Chip1_Chip3_Chip2_present_state(2),
      O => N24
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_1_1 : LUT4
    generic map(
      INIT => X"143C"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(6),
      I1 => Chip1_Chip3_Chip2_present_state(1),
      I2 => Chip1_Chip3_Chip2_present_state(0),
      I3 => N24,
      O => Chip1_Chip3_Chip2_Mcount_present_state1
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_1_1_SW0 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(3),
      I2 => Chip1_Chip3_Chip1_present_state(2),
      I3 => Chip1_Chip3_Chip1_present_state(4),
      O => N26
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_1_1 : LUT4
    generic map(
      INIT => X"143C"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(6),
      I1 => Chip1_Chip3_Chip1_present_state(1),
      I2 => Chip1_Chip3_Chip1_present_state(0),
      I3 => N26,
      O => Chip1_Chip3_Chip1_Mcount_present_state1
    );
  Chip1_Chip2_current_state_FSM_FFd2_In40 : LUT4
    generic map(
      INIT => X"8A02"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I2 => Chip1_Chip2_current_state_FSM_FFd1_65,
      I3 => ST_down_IBUF_271,
      O => Chip1_Chip2_current_state_FSM_FFd2_In40_70
    );
  Chip1_Chip2_current_state_FSM_FFd2_In41 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_In21_69,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_In40_70,
      O => Chip1_Chip2_current_state_FSM_FFd2_In
    );
  Chip2_CHIP4_present_state_FSM_Out11 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I1 => Chip2_CHIP4_present_state_FSM_FFd2_163,
      O => Chip2_SEL(1)
    );
  Chip1_Chip2_current_state_FSM_FFd1_In11 : LUT3
    generic map(
      INIT => X"04"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd1_65,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => Timer_LED_OBUF_281
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_2_1 : LUT4
    generic map(
      INIT => X"1999"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(2),
      I1 => Chip1_Chip3_N11,
      I2 => N30,
      I3 => Chip1_Chip3_Chip2_present_state(6),
      O => Chip1_Chip3_Chip2_Mcount_present_state2
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_2_1_SW0 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(3),
      I2 => Chip1_Chip3_Chip1_present_state(4),
      O => N32
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_2_1 : LUT4
    generic map(
      INIT => X"1999"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(2),
      I1 => Chip1_Chip3_N2,
      I2 => N32,
      I3 => Chip1_Chip3_Chip1_present_state(6),
      O => Chip1_Chip3_Chip1_Mcount_present_state2
    );
  Chip1_Chip3_Chip6_next_state_0_mux00008 : LUT4
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(3),
      I1 => Chip1_Chip3_Chip1_present_state(0),
      I2 => Chip1_Chip3_Chip1_present_state(1),
      I3 => Chip1_Chip3_Chip1_present_state(2),
      O => Chip1_Chip3_Chip6_next_state_0_mux00008_135
    );
  Chip1_Chip3_Chip6_next_state_0_mux000021 : LUT4
    generic map(
      INIT => X"7FFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip5_present_state_130,
      I1 => Chip1_Chip3_Chip1_present_state(6),
      I2 => Chip1_Chip3_Chip1_present_state(5),
      I3 => Chip1_Chip3_Chip1_present_state(4),
      O => Chip1_Chip3_Chip6_next_state_0_mux000021_134
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_4_111 : LUT2
    generic map(
      INIT => X"7"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(0),
      I1 => Chip1_Chip3_Chip4_present_state(1),
      O => Chip1_Chip3_N111
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_2_111 : LUT2
    generic map(
      INIT => X"7"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(0),
      I1 => Chip1_Chip3_Chip1_present_state(1),
      O => Chip1_Chip3_N2
    );
  Chip1_Chip3_Chip7_next_state_0_mux00001 : LUT2
    generic map(
      INIT => X"6"
    )
    port map (
      I0 => Chip1_Chip3_Chip7_current_state(0),
      I1 => Chip1_Chip3_Pulsed_3_2kHz,
      O => Chip1_Chip3_Chip7_next_state
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_3_1_SW0 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(6),
      I1 => Chip1_Chip3_Chip2_present_state(5),
      I2 => Chip1_Chip3_Chip2_present_state(4),
      O => N37
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_3_1 : LUT4
    generic map(
      INIT => X"19CC"
    )
    port map (
      I0 => Chip1_Chip3_N11,
      I1 => Chip1_Chip3_Chip2_present_state(3),
      I2 => N37,
      I3 => Chip1_Chip3_Chip2_present_state(2),
      O => Chip1_Chip3_Chip2_Mcount_present_state3
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_6_1 : LUT4
    generic map(
      INIT => X"4CEC"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(6),
      I2 => Chip1_Chip3_Chip1_present_state(4),
      I3 => N39,
      O => Chip1_Chip3_Chip1_Mcount_present_state6
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_3_1_SW0 : LUT3
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(6),
      I1 => Chip1_Chip3_Chip1_present_state(5),
      I2 => Chip1_Chip3_Chip1_present_state(4),
      O => N41
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_3_1 : LUT4
    generic map(
      INIT => X"19CC"
    )
    port map (
      I0 => Chip1_Chip3_N2,
      I1 => Chip1_Chip3_Chip1_present_state(3),
      I2 => N41,
      I3 => Chip1_Chip3_Chip1_present_state(2),
      O => Chip1_Chip3_Chip1_Mcount_present_state3
    );
  Chip2_CHIP1_Mrom_Y_OUT21 : LUT4
    generic map(
      INIT => X"454C"
    )
    port map (
      I0 => Chip2_DIG(3),
      I1 => Chip2_DIG(0),
      I2 => Chip2_DIG(1),
      I3 => Chip2_DIG(2),
      O => E_L_OBUF_175
    );
  Chip2_CHIP1_Mrom_Y_OUT41 : LUT4
    generic map(
      INIT => X"80C2"
    )
    port map (
      I0 => Chip2_DIG(1),
      I1 => Chip2_DIG(2),
      I2 => Chip2_DIG(3),
      I3 => Chip2_DIG(0),
      O => C_L_OBUF_16
    );
  Chip2_CHIP1_Mrom_Y_OUT51 : LUT4
    generic map(
      INIT => X"E448"
    )
    port map (
      I0 => Chip2_DIG(0),
      I1 => Chip2_DIG(2),
      I2 => Chip2_DIG(1),
      I3 => Chip2_DIG(3),
      O => B_L_OBUF_4
    );
  Chip2_CHIP1_Mrom_Y_OUT111 : LUT4
    generic map(
      INIT => X"6032"
    )
    port map (
      I0 => Chip2_DIG(1),
      I1 => Chip2_DIG(3),
      I2 => Chip2_DIG(0),
      I3 => Chip2_DIG(2),
      O => F_L_OBUF_177
    );
  Chip2_CHIP1_Mrom_Y_OUT11 : LUT4
    generic map(
      INIT => X"0941"
    )
    port map (
      I0 => Chip2_DIG(1),
      I1 => Chip2_DIG(2),
      I2 => Chip2_DIG(3),
      I3 => Chip2_DIG(0),
      O => G_L_OBUF_179
    );
  Chip2_CHIP1_Mrom_Y_OUT31 : LUT4
    generic map(
      INIT => X"8692"
    )
    port map (
      I0 => Chip2_DIG(0),
      I1 => Chip2_DIG(1),
      I2 => Chip2_DIG(2),
      I3 => Chip2_DIG(3),
      O => D_L_OBUF_173
    );
  Chip2_CHIP1_Mrom_Y_OUT61 : LUT4
    generic map(
      INIT => X"2812"
    )
    port map (
      I0 => Chip2_DIG(0),
      I1 => Chip2_DIG(1),
      I2 => Chip2_DIG(2),
      I3 => Chip2_DIG(3),
      O => A_L_OBUF_1
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_2_111 : LUT2
    generic map(
      INIT => X"7"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(0),
      I1 => Chip1_Chip3_Chip2_present_state(1),
      O => Chip1_Chip3_N11
    );
  Chip1_Chip3_Chip8_next_state_0_mux00002 : LUT2
    generic map(
      INIT => X"9"
    )
    port map (
      I0 => Chip1_Chip3_Chip8_current_state(0),
      I1 => Chip1_Chip3_N10,
      O => Chip1_Chip3_Chip8_next_state
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_4_1111 : LUT4
    generic map(
      INIT => X"5DFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(2),
      I1 => Chip1_Chip3_N11,
      I2 => Chip1_Chip3_Chip2_present_state(6),
      I3 => Chip1_Chip3_Chip2_present_state(3),
      O => Chip1_Chip3_N36
    );
  Chip1_Chip3_Chip8_next_state_0_mux00001_SW0 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(4),
      I1 => N196,
      O => N52
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_1_3 : LUT4
    generic map(
      INIT => X"4414"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_LDU,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I2 => Chip1_CE,
      I3 => N54,
      O => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(1)
    );
  Chip1_Chip3_Chip2_TC125_and0000_SW0 : LUT3
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(0),
      I1 => N195,
      I2 => Chip1_Chip3_Chip2_present_state(1),
      O => N56
    );
  Chip1_Chip3_Chip2_TC125_and0000 : LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      I1 => Chip1_Chip3_Chip2_present_state(6),
      I2 => Chip1_Chip3_Chip2_present_state(2),
      I3 => N56,
      O => Chip1_Chip3_Pulsed_3_2kHz
    );
  Chip1_Chip3_Chip2_TC125_and00001 : LUT4
    generic map(
      INIT => X"0080"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(4),
      I2 => Chip1_Chip3_Chip1_present_state(3),
      I3 => N60,
      O => Chip1_Chip3_Chip1_TC125_cmp_eq0000
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_0_11 : LUT4
    generic map(
      INIT => X"BE14"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_LDU,
      I1 => Chip1_CE,
      I2 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      I3 => Chip1_Chip1_Chip1_Chip1_D0U,
      O => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(0)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_2_2 : LUT4
    generic map(
      INIT => X"4414"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_LDU,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      I2 => Chip1_CE,
      I3 => N62,
      O => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(2)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_1_3 : LUT4
    generic map(
      INIT => X"009A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I1 => N64,
      I2 => Chip1_Chip1_Chip1_Chip1_LDU,
      I3 => N197,
      O => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(1)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_3_1_SW0 : LUT4
    generic map(
      INIT => X"7FFE"
    )
    port map (
      I0 => Chip1_UD_L,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      O => N66
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_3_1 : LUT4
    generic map(
      INIT => X"009A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I1 => N66,
      I2 => Chip1_Chip1_Chip1_Chip1_LDU,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(3)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_0_11 : LUT4
    generic map(
      INIT => X"F066"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I1 => Chip1_Chip1_Chip1_Chip1_LDU,
      I2 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(0)
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_2_2_SW0 : LUT4
    generic map(
      INIT => X"7EFF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I1 => Chip1_UD_L,
      I2 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I3 => N204,
      O => N68
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_2_2 : LUT4
    generic map(
      INIT => X"CCA5"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      I2 => N68,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip1_Chip1_future_state(2)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_1_3 : LUT4
    generic map(
      INIT => X"090A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I1 => N70,
      I2 => Chip1_Chip1_Chip1_Chip2_LDU,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(1)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_2_2 : LUT4
    generic map(
      INIT => X"090A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I1 => N72,
      I2 => Chip1_Chip1_Chip1_Chip2_LDU,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(2)
    );
  Chip1_Chip2_current_state_FSM_Out41 : LUT3
    generic map(
      INIT => X"F4"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd1_65,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => Chip1_CE
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_3_1_SW0 : LUT4
    generic map(
      INIT => X"7FFE"
    )
    port map (
      I0 => Chip1_UD_L,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      O => N78
    );
  Chip1_Chip2_current_state_FSM_Out01 : LUT2
    generic map(
      INIT => X"4"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => Chip1_UD_L
    );
  Chip1_Chip2_current_state_FSM_FFd1_In_SW0 : LUT2
    generic map(
      INIT => X"2"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd1_65,
      I1 => Stop_IBUF_279,
      O => N80
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW0 : LUT3
    generic map(
      INIT => X"DF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      O => N82
    );
  Chip1_Chip1_Chip1_Chip2_D001 : LUT2
    generic map(
      INIT => X"8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      O => Chip1_Chip1_Chip1_Chip2_D001_58
    );
  Chip1_Chip1_Chip1_Chip2_D0021 : LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      O => Chip1_Chip1_Chip1_Chip2_D0021_59
    );
  Chip1_Chip1_Chip1_Chip1_D004 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      O => Chip1_Chip1_Chip1_Chip1_D004_37
    );
  Chip1_Chip1_Chip1_Chip1_D0021 : LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      O => Chip1_Chip1_Chip1_Chip1_D0021_36
    );
  CD_IBUF : IBUF
    port map (
      I => CD,
      O => CD_IBUF_14
    );
  Stop_IBUF : IBUF
    port map (
      I => Stop,
      O => Stop_IBUF_279
    );
  ST_up_IBUF : IBUF
    port map (
      I => ST_up,
      O => ST_up_IBUF_273
    );
  Start_IBUF : IBUF
    port map (
      I => Start,
      O => Start_IBUF_277
    );
  ST_down_IBUF : IBUF
    port map (
      I => ST_down,
      O => ST_down_IBUF_271
    );
  G_L_OBUF : OBUF
    port map (
      I => G_L_OBUF_179,
      O => G_L
    );
  DP_L_OBUF : OBUF
    port map (
      I => DP_L_OBUF_171,
      O => DP_L
    );
  A_L_OBUF : OBUF
    port map (
      I => A_L_OBUF_1,
      O => A_L
    );
  B_L_OBUF : OBUF
    port map (
      I => B_L_OBUF_4,
      O => B_L
    );
  C_L_OBUF : OBUF
    port map (
      I => C_L_OBUF_16,
      O => C_L
    );
  Soundwave_OBUF : OBUF
    port map (
      I => Soundwave_OBUF_275,
      O => Soundwave
    );
  D_L_OBUF : OBUF
    port map (
      I => D_L_OBUF_173,
      O => D_L
    );
  Alarm_LED_OBUF : OBUF
    port map (
      I => Chip1_Chip2_current_state_FSM_FFd1_65,
      O => Alarm_LED
    );
  E_L_OBUF : OBUF
    port map (
      I => E_L_OBUF_175,
      O => E_L
    );
  Timer_LED_OBUF : OBUF
    port map (
      I => Timer_LED_OBUF_281,
      O => Timer_LED
    );
  F_L_OBUF : OBUF
    port map (
      I => F_L_OBUF_177,
      O => F_L
    );
  CA_L_3_OBUF : OBUF
    port map (
      I => CA_L_3_OBUF_12,
      O => CA_L(3)
    );
  CA_L_2_OBUF : OBUF
    port map (
      I => CA_L_2_OBUF_11,
      O => CA_L(2)
    );
  CA_L_1_OBUF : OBUF
    port map (
      I => CA_L_1_OBUF_10,
      O => CA_L(1)
    );
  CA_L_0_OBUF : OBUF
    port map (
      I => CA_L_0_OBUF_9,
      O => CA_L(0)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW2 : LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      O => N98
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_TC16_and0002_SW2 : LUT4
    generic map(
      INIT => X"FFFE"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      O => N101
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_TC16_and0002_SW3 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      O => N102
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_TC16_and0002 : LUT4
    generic map(
      INIT => X"A030"
    )
    port map (
      I0 => N102,
      I1 => N101,
      I2 => Chip1_CE,
      I3 => Chip1_UD_L,
      O => Chip1_Chip1_Chip1_Chip1_D0U
    );
  Chip1_Chip1_Chip1_Chip1_D0056 : LUT4
    generic map(
      INIT => X"AC00"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_D004_37,
      I1 => Chip1_Chip1_Chip1_Chip1_D0021_36,
      I2 => Chip1_UD_L,
      I3 => Chip1_Chip1_Chip1_Chip1_D0U,
      O => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_3_1_SW1 : LUT4
    generic map(
      INIT => X"445A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      I1 => N82,
      I2 => Chip1_Chip1_Chip1_Chip2_D0U,
      I3 => N200,
      O => N111
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_3_1 : LUT4
    generic map(
      INIT => X"0B08"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      I1 => N78,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001,
      I3 => N111,
      O => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(3)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_1_3_SW2 : LUT4
    generic map(
      INIT => X"C382"
    )
    port map (
      I0 => N82,
      I1 => N74,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      O => N114
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_1_3 : LUT4
    generic map(
      INIT => X"0A0C"
    )
    port map (
      I0 => N114,
      I1 => N113,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001,
      I3 => Chip1_Chip1_Chip1_Chip2_N0,
      O => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(1)
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW2 : LUT3
    generic map(
      INIT => X"FD"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I2 => N84,
      O => N117
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_0_11 : LUT4
    generic map(
      INIT => X"FF48"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I1 => N122,
      I2 => Chip1_Chip1_Chip1_Chip2_LDU,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001,
      O => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(0)
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_2_2 : LUT4
    generic map(
      INIT => X"FF09"
    )
    port map (
      I0 => N94,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I2 => N124,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001,
      O => Chip1_Chip1_Chip1_Chip2_Chip1_future_state(2)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW1 : LUT4
    generic map(
      INIT => X"AA08"
    )
    port map (
      I0 => N120,
      I1 => Chip1_Chip1_Chip1_Chip2_D0021_59,
      I2 => Chip1_UD_L,
      I3 => Chip1_Chip1_Chip1_Chip2_D007_60,
      O => N127
    );
  Chip1_Chip1_Chip1_Chip2_D0057 : LUT4
    generic map(
      INIT => X"F011"
    )
    port map (
      I0 => N126,
      I1 => N119,
      I2 => N127,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001
    );
  Chip1_Chip2_current_state_FSM_FFd1_In : LUT4
    generic map(
      INIT => X"EAAA"
    )
    port map (
      I0 => N80,
      I1 => Chip1_Chip1_Chip1_TC60S,
      I2 => Timer_LED_OBUF_281,
      I3 => N129,
      O => Chip1_Chip2_current_state_FSM_FFd1_In_66
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_0_11 : LUT4
    generic map(
      INIT => X"CDCE"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      I1 => Chip1_Chip1_Chip1_Chip2_D0U,
      I2 => Chip1_Chip1_Chip1_Chip2_N0,
      I3 => Chip1_Chip1_Chip1_TC60S,
      O => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(0)
    );
  Chip1_Chip1_Chip1_Chip2_D59_and00001_SW0 : LUT4
    generic map(
      INIT => X"FBFF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I3 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N84
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW4 : LUT3
    generic map(
      INIT => X"01"
    )
    port map (
      I0 => N205,
      I1 => N86,
      I2 => N119,
      O => N144
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW4 : LUT4
    generic map(
      INIT => X"CACC"
    )
    port map (
      I0 => N199,
      I1 => N98,
      I2 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I3 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N120
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW0_SW0 : LUT2
    generic map(
      INIT => X"D"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      O => N154
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW0 : LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => N198,
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I3 => N154,
      O => N86
    );
  Chip1_Chip1_Chip1_Chip1_D59_and00001 : LUT3
    generic map(
      INIT => X"04"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I2 => N96,
      O => Chip1_Chip1_Chip1_Chip1_N0
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_3_1157 : LUT3
    generic map(
      INIT => X"AE"
    )
    port map (
      I0 => N201,
      I1 => N147,
      I2 => Chip1_Chip1_Chip1_Chip2_N0,
      O => Chip1_Chip1_Chip1_Chip2_Chip2_future_state(3)
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW0 : LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => N96,
      I1 => N154,
      I2 => Chip1_Chip1_Chip1_Chip2_D001_58,
      I3 => N158,
      O => N126
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW5 : LUT4
    generic map(
      INIT => X"6030"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I2 => N120,
      I3 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N145
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW1 : MUXF5
    port map (
      I0 => N160,
      I1 => N1,
      S => N84,
      O => N116
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW1_F : LUT4
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      O => N160
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW3 : MUXF5
    port map (
      I0 => N162,
      I1 => N163,
      S => Chip1_UD_L,
      O => N119
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW3_F : LUT3
    generic map(
      INIT => X"BF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I2 => N98,
      O => N162
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW3_G : LUT3
    generic map(
      INIT => X"BF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I2 => N99,
      O => N163
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_3_192_SW0 : LUT4
    generic map(
      INIT => X"7FFE"
    )
    port map (
      I0 => Chip1_UD_L,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      O => N164
    );
  Chip1_Chip3_Chip6_next_state_0_mux000049_SW0 : LUT2
    generic map(
      INIT => X"E"
    )
    port map (
      I0 => Chip1_Chip3_Chip6_next_state_0_mux000021_134,
      I1 => Chip1_Chip3_Chip6_next_state_0_mux00008_135,
      O => N166
    );
  Chip1_Chip3_Chip6_next_state_0_mux000049 : LUT4
    generic map(
      INIT => X"EA40"
    )
    port map (
      I0 => Chip1_Chip3_Chip6_current_state(0),
      I1 => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      I2 => Chip1_Chip3_Chip5_present_state_130,
      I3 => N166,
      O => Chip1_Chip3_Chip6_next_state
    );
  Chip1_Chip2_current_state_FSM_FFd2_In21_SW0 : LUT4
    generic map(
      INIT => X"FFAB"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => ST_down_IBUF_271,
      I2 => Start_IBUF_277,
      I3 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N170
    );
  Chip1_Chip2_current_state_FSM_FFd2_In21 : LUT4
    generic map(
      INIT => X"222F"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd1_65,
      I1 => Stop_IBUF_279,
      I2 => ST_up_IBUF_273,
      I3 => N170,
      O => Chip1_Chip2_current_state_FSM_FFd2_In21_69
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_6_1_SW0 : LUT4
    generic map(
      INIT => X"D955"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(6),
      I1 => Chip1_Chip3_Chip1_present_state(2),
      I2 => Chip1_Chip3_N2,
      I3 => Chip1_Chip3_Chip1_present_state(3),
      O => N39
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_5_1_SW1 : LUT3
    generic map(
      INIT => X"7F"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(2),
      I1 => Chip1_Chip3_Chip2_present_state(3),
      I2 => Chip1_Chip3_Chip2_present_state(4),
      O => N172
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_5_1 : LUT4
    generic map(
      INIT => X"AA19"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(5),
      I1 => Chip1_Chip3_N11,
      I2 => Chip1_Chip3_Chip2_present_state(6),
      I3 => N172,
      O => Chip1_Chip3_Chip2_Mcount_present_state5
    );
  Chip1_Chip3_Chip3_TC80_and00001 : LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      I1 => N52,
      I2 => N56,
      I3 => N202,
      O => Chip1_Chip3_Pulsed_40Hz
    );
  Chip1_Chip1_Chip1_Chip2_D59_and00001_SW2 : LUT4
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      O => N136
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_0_11 : LUT4
    generic map(
      INIT => X"0155"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(0),
      I1 => Chip1_Chip3_Chip3_present_state(4),
      I2 => Chip1_Chip3_Chip3_present_state(5),
      I3 => Chip1_Chip3_Chip3_present_state(6),
      O => Chip1_Chip3_Chip3_Mcount_present_state
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_2_11 : LUT4
    generic map(
      INIT => X"1444"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(4),
      I1 => Chip1_Chip3_Chip4_present_state(2),
      I2 => Chip1_Chip3_Chip4_present_state(0),
      I3 => Chip1_Chip3_Chip4_present_state(1),
      O => Chip1_Chip3_Chip4_Mcount_present_state2
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_1_3_SW0 : LUT3
    generic map(
      INIT => X"9C"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N54
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_2_2_SW0 : LUT4
    generic map(
      INIT => X"BFDC"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      O => N62
    );
  Chip1_Chip1_Chip1_Chip1_Chip1_future_state_1_3_SW0 : LUT3
    generic map(
      INIT => X"9C"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N64
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_1_3_SW0 : LUT3
    generic map(
      INIT => X"9C"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N70
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_2_2_SW0 : LUT4
    generic map(
      INIT => X"BFDC"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      O => N72
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_4_1_SW1 : LUT4
    generic map(
      INIT => X"D5AA"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(4),
      I1 => Chip1_Chip3_Chip1_present_state(5),
      I2 => Chip1_Chip3_Chip1_present_state(6),
      I3 => Chip1_Chip3_N2,
      O => N174
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_4_1 : LUT4
    generic map(
      INIT => X"4CEC"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(2),
      I1 => Chip1_Chip3_Chip1_present_state(4),
      I2 => Chip1_Chip3_Chip1_present_state(3),
      I3 => N174,
      O => Chip1_Chip3_Chip1_Mcount_present_state4
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_3_1_SW1 : LUT4
    generic map(
      INIT => X"807F"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(2),
      I1 => Chip1_Chip3_Chip3_present_state(0),
      I2 => Chip1_Chip3_Chip3_present_state(1),
      I3 => Chip1_Chip3_Chip3_present_state(3),
      O => N176
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_3_1 : LUT4
    generic map(
      INIT => X"0155"
    )
    port map (
      I0 => N176,
      I1 => Chip1_Chip3_Chip3_present_state(5),
      I2 => Chip1_Chip3_Chip3_present_state(4),
      I3 => Chip1_Chip3_Chip3_present_state(6),
      O => Chip1_Chip3_Chip3_Mcount_present_state3
    );
  Chip1_Chip1_Chip1_Chip2_LDU1_SW0 : LUT4
    generic map(
      INIT => X"1811"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I3 => Chip1_Chip2_current_state_FSM_FFd3_71,
      O => N107
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_5_1_SW1 : LUT4
    generic map(
      INIT => X"D599"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(5),
      I1 => Chip1_Chip3_Chip1_present_state(4),
      I2 => Chip1_Chip3_Chip1_present_state(6),
      I3 => Chip1_Chip3_N2,
      O => N178
    );
  Chip1_Chip3_Chip1_Mcount_present_state_xor_5_1 : LUT4
    generic map(
      INIT => X"4CEC"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(2),
      I1 => Chip1_Chip3_Chip1_present_state(5),
      I2 => Chip1_Chip3_Chip1_present_state(3),
      I3 => N178,
      O => Chip1_Chip3_Chip1_Mcount_present_state5
    );
  Chip2_Chip5_Mdecod_Yout_L31 : LUT3
    generic map(
      INIT => X"15"
    )
    port map (
      I0 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I1 => Chip2_CHIP4_present_state_FSM_FFd2_163,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      O => CA_L_3_OBUF_12
    );
  Chip2_Chip5_Mdecod_Yout_L21 : LUT3
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I1 => Chip2_CHIP4_present_state_FSM_FFd2_163,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      O => CA_L_2_OBUF_11
    );
  Chip2_Chip5_Mdecod_Yout_L11 : LUT3
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => Chip2_CHIP4_present_state_FSM_FFd2_163,
      I1 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I2 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      O => CA_L_1_OBUF_10
    );
  Chip2_Chip5_Mdecod_Yout_L01 : LUT3
    generic map(
      INIT => X"FE"
    )
    port map (
      I0 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I1 => Chip2_CHIP4_present_state_FSM_FFd2_163,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      O => CA_L_0_OBUF_9
    );
  Chip2_CHIP3_Mmux_y_43 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3),
      O => Chip2_CHIP3_Mmux_y_43_160
    );
  Chip2_CHIP3_Mmux_y_33 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      O => Chip2_CHIP3_Mmux_y_33_156
    );
  Chip2_CHIP3_Mmux_y_42 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      O => Chip2_CHIP3_Mmux_y_42_159
    );
  Chip2_CHIP3_Mmux_y_32 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(2),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      O => Chip2_CHIP3_Mmux_y_32_155
    );
  Chip2_CHIP3_Mmux_y_41 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(1),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      O => Chip2_CHIP3_Mmux_y_41_158
    );
  Chip2_CHIP3_Mmux_y_31 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      O => Chip2_CHIP3_Mmux_y_31_154
    );
  Chip2_CHIP3_Mmux_y_4 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(0),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      O => Chip2_CHIP3_Mmux_y_4_157
    );
  Chip2_CHIP3_Mmux_y_3 : LUT4
    generic map(
      INIT => X"ABA8"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I1 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I2 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      O => Chip2_CHIP3_Mmux_y_3_153
    );
  Chip1_Chip3_Chip9_next_state_0_mux0000_SW0 : LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(2),
      I1 => Chip1_Chip3_Chip4_present_state(3),
      I2 => Chip1_Chip3_Chip4_present_state(4),
      I3 => N203,
      O => N180
    );
  Chip1_Chip3_Chip9_next_state_0_mux0000 : LUT4
    generic map(
      INIT => X"D2F0"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(0),
      I1 => N180,
      I2 => Chip1_Chip3_Chip9_current_state(0),
      I3 => Chip1_Chip3_Chip4_present_state(1),
      O => Chip1_Chip3_Chip9_next_state
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_future_state_3_1157_SW0 : LUT4
    generic map(
      INIT => X"99A9"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I1 => N164,
      I2 => N150,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => N147
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_3_1144 : LUT3
    generic map(
      INIT => X"F1"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_N0,
      I1 => N168,
      I2 => Chip1_Chip1_Chip1_Chip1_D0U,
      O => Chip1_Chip1_Chip1_Chip1_Chip2_future_state(3)
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_3_1144_SW0_SW0 : LUT4
    generic map(
      INIT => X"8001"
    )
    port map (
      I0 => Chip1_UD_L,
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      O => N182
    );
  Chip1_Chip1_Chip1_Chip1_Chip2_future_state_3_1144_SW0 : LUT3
    generic map(
      INIT => X"95"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3),
      I1 => Chip1_CE,
      I2 => N182,
      O => N168
    );
  OSC_CLK_in_BUFGP : BUFGP
    port map (
      I => OSC_CLK_in,
      O => OSC_CLK_in_BUFGP_269
    );
  Chip1_Chip3_Chip5_present_state_mux00001_INV_0 : INV
    port map (
      I => Chip1_Chip3_Chip5_present_state_130,
      O => Chip1_Chip3_Chip5_present_state_mux0000
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_2_2_SW0 : MUXF5
    port map (
      I0 => N184,
      I1 => N185,
      S => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => N94
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_2_2_SW0_F : LUT4
    generic map(
      INIT => X"FFD5"
    )
    port map (
      I0 => N107,
      I1 => N116,
      I2 => N119,
      I3 => N86,
      O => N184
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_2_2_SW0_G : LUT3
    generic map(
      INIT => X"5D"
    )
    port map (
      I0 => N107,
      I1 => N117,
      I2 => N120,
      O => N185
    );
  Chip1_Chip1_Chip1_Chip2_LDU1 : MUXF5
    port map (
      I0 => N186,
      I1 => N187,
      S => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => Chip1_Chip1_Chip1_Chip2_LDU
    );
  Chip1_Chip1_Chip1_Chip2_LDU1_F : LUT3
    generic map(
      INIT => X"15"
    )
    port map (
      I0 => N86,
      I1 => N119,
      I2 => N116,
      O => N186
    );
  Chip1_Chip1_Chip1_Chip2_LDU1_G : LUT4
    generic map(
      INIT => X"FF02"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I1 => N84,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I3 => N120,
      O => N187
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_4_1 : MUXF5
    port map (
      I0 => N188,
      I1 => N189,
      S => Chip1_Chip3_Chip2_present_state(4),
      O => Chip1_Chip3_Chip2_Mcount_present_state4
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_4_1_F : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(3),
      I1 => Chip1_Chip3_Chip2_present_state(2),
      I2 => Chip1_Chip3_Chip2_present_state(0),
      I3 => Chip1_Chip3_Chip2_present_state(1),
      O => N188
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_4_1_G : LUT4
    generic map(
      INIT => X"FF13"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(1),
      I1 => Chip1_Chip3_Chip2_present_state(5),
      I2 => Chip1_Chip3_Chip2_present_state(0),
      I3 => Chip1_Chip3_N36,
      O => N189
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW3 : MUXF5
    port map (
      I0 => N190,
      I1 => N191,
      S => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => N122
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW3_F : LUT4
    generic map(
      INIT => X"FFFE"
    )
    port map (
      I0 => N86,
      I1 => N116,
      I2 => N82,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      O => N190
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW3_G : LUT4
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I1 => N84,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I3 => N136,
      O => N191
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW4 : MUXF5
    port map (
      I0 => N192,
      I1 => N193,
      S => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      O => N124
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW4_F : LUT4
    generic map(
      INIT => X"0001"
    )
    port map (
      I0 => N86,
      I1 => N116,
      I2 => N82,
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      O => N192
    );
  Chip1_Chip1_Chip1_Chip2_LDT_SW4_G : LUT4
    generic map(
      INIT => X"0002"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I1 => N84,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      I3 => N136,
      O => N193
    );
  XST_GND : GND
    port map (
      G => N194
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_1_11 : LUT4
    generic map(
      INIT => X"0006"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(1),
      I1 => Chip1_Chip3_Chip4_present_state(0),
      I2 => Chip1_Chip3_Chip4_present_state(2),
      I3 => Chip1_Chip3_Chip4_present_state(3),
      O => Chip1_Chip3_Chip4_Mcount_present_state_xor_1_1
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_1_12 : LUT2
    generic map(
      INIT => X"6"
    )
    port map (
      I0 => Chip1_Chip3_Chip4_present_state(1),
      I1 => Chip1_Chip3_Chip4_present_state(0),
      O => Chip1_Chip3_Chip4_Mcount_present_state_xor_1_11_124
    );
  Chip1_Chip3_Chip4_Mcount_present_state_xor_1_1_f5 : MUXF5
    port map (
      I0 => Chip1_Chip3_Chip4_Mcount_present_state_xor_1_11_124,
      I1 => Chip1_Chip3_Chip4_Mcount_present_state_xor_1_1,
      S => Chip1_Chip3_Chip4_present_state(4),
      O => Chip1_Chip3_Chip4_Mcount_present_state1
    );
  Chip2_CHIP2_Mmux_y111 : LUT4
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip9_current_state(0),
      I1 => Chip2_CHIP4_present_state_FSM_FFd3_164,
      I2 => Chip2_CHIP4_present_state_FSM_FFd1_162,
      I3 => Chip2_SEL(1),
      O => Chip2_CHIP2_Mmux_y11
    );
  Chip2_CHIP2_Mmux_y11_f5 : MUXF5
    port map (
      I0 => N1,
      I1 => Chip2_CHIP2_Mmux_y11,
      S => Timer_LED_OBUF_281,
      O => DP_L_OBUF_171
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_6_12 : LUT4
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => N30,
      I1 => Chip1_Chip3_Chip2_present_state(2),
      I2 => Chip1_Chip3_Chip2_present_state(0),
      I3 => Chip1_Chip3_Chip2_present_state(1),
      O => Chip1_Chip3_Chip2_Mcount_present_state_xor_6_11
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_6_1_f5 : MUXF5
    port map (
      I0 => Chip1_Chip3_Chip2_Mcount_present_state_xor_6_11,
      I1 => Chip1_Chip3_Chip2_Mcount_present_state_xor_6_1,
      S => Chip1_Chip3_Chip2_present_state(6),
      O => Chip1_Chip3_Chip2_Mcount_present_state6
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_2_1_SW0 : LUT3_D
    generic map(
      INIT => X"80"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(5),
      I1 => Chip1_Chip3_Chip2_present_state(4),
      I2 => Chip1_Chip3_Chip2_present_state(3),
      LO => N195,
      O => N30
    );
  Chip1_Chip3_Chip3_Mcount_present_state_xor_6_111 : LUT4_D
    generic map(
      INIT => X"7FFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip3_present_state(0),
      I1 => Chip1_Chip3_Chip3_present_state(1),
      I2 => Chip1_Chip3_Chip3_present_state(2),
      I3 => Chip1_Chip3_Chip3_present_state(3),
      LO => N196,
      O => Chip1_Chip3_N5
    );
  Chip1_Chip3_Chip2_TC125_and00001_SW0 : LUT4_L
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip1_present_state(2),
      I1 => Chip1_Chip3_Chip1_present_state(1),
      I2 => Chip1_Chip3_Chip1_present_state(0),
      I3 => Chip1_Chip3_Chip1_present_state(6),
      LO => N60
    );
  Chip1_Chip1_Chip1_Chip1_LDT : LUT4_D
    generic map(
      INIT => X"FF02"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I2 => N86,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      LO => N197,
      O => Chip1_Chip1_Chip1_TC60S
    );
  Chip1_Chip1_Chip1_Chip2_D007 : LUT4_L
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I2 => Chip1_Chip1_Chip1_Chip2_D001_58,
      I3 => Chip1_UD_L,
      LO => Chip1_Chip1_Chip1_Chip2_D007_60
    );
  Chip1_Chip1_Chip1_Chip1_D59_and00001_SW1 : LUT4_D
    generic map(
      INIT => X"FDFF"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(0),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(2),
      I2 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip1_Chip2_present_state(3),
      LO => N198,
      O => N96
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW3 : LUT4_D
    generic map(
      INIT => X"8000"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(1),
      I1 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(0),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(3),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip2_present_state(2),
      LO => N199,
      O => N99
    );
  Chip1_Chip1_Chip1_Chip2_D59_and00001 : LUT4_D
    generic map(
      INIT => X"5503"
    )
    port map (
      I0 => N117,
      I1 => N116,
      I2 => N86,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      LO => N200,
      O => Chip1_Chip1_Chip1_Chip2_N0
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002 : LUT4_D
    generic map(
      INIT => X"AA03"
    )
    port map (
      I0 => N120,
      I1 => N86,
      I2 => N119,
      I3 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      LO => N201,
      O => Chip1_Chip1_Chip1_Chip2_D0U
    );
  Chip1_Chip2_current_state_FSM_FFd1_In_SW1 : LUT4_L
    generic map(
      INIT => X"F1F0"
    )
    port map (
      I0 => N82,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(3),
      I2 => Chip1_Chip1_Chip1_Chip2_Chip4_Y_and0001,
      I3 => Chip1_Chip1_Chip1_Chip2_N0,
      LO => N129
    );
  Chip1_Chip3_Chip2_TC125_and0000_SW1 : LUT4_D
    generic map(
      INIT => X"DFFF"
    )
    port map (
      I0 => Chip1_Chip3_Chip2_present_state(6),
      I1 => Chip1_Chip3_Chip3_present_state(5),
      I2 => Chip1_Chip3_Chip2_present_state(2),
      I3 => Chip1_Chip3_Chip3_present_state(6),
      LO => N202,
      O => N133
    );
  Chip1_Chip3_Chip8_next_state_0_mux00001 : LUT4_D
    generic map(
      INIT => X"FFEF"
    )
    port map (
      I0 => N52,
      I1 => N56,
      I2 => Chip1_Chip3_Chip1_TC125_cmp_eq0000,
      I3 => N133,
      LO => N203,
      O => Chip1_Chip3_N10
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_1_3_SW1 : LUT4_L
    generic map(
      INIT => X"656A"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I1 => N145,
      I2 => Chip1_Chip1_Chip1_Chip1_Chip4_Y_and0001,
      I3 => N144,
      LO => N113
    );
  Chip1_Chip1_Chip1_Chip1_LDT_SW5 : LUT3_L
    generic map(
      INIT => X"FB"
    )
    port map (
      I0 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(3),
      I1 => Chip1_Chip1_Chip1_Chip1_Chip1_present_state(2),
      I2 => N86,
      LO => N150
    );
  Chip1_Chip1_Chip1_Chip2_Chip2_TC16_and0002_SW0_SW0 : LUT4_L
    generic map(
      INIT => X"DFFF"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I2 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(1),
      I3 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      LO => N158
    );
  Chip1_Chip1_Chip1_Chip1_LDU1 : LUT4_D
    generic map(
      INIT => X"FF02"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd3_71,
      I1 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I2 => N96,
      I3 => Chip1_Chip1_Chip1_Chip1_D0U,
      LO => N204,
      O => Chip1_Chip1_Chip1_Chip1_LDU
    );
  Chip1_Chip1_Chip1_Chip2_Chip1_future_state_1_3_SW0 : LUT3_D
    generic map(
      INIT => X"9C"
    )
    port map (
      I0 => Chip1_Chip2_current_state_FSM_FFd2_67,
      I1 => Chip1_Chip1_Chip1_Chip2_Chip1_present_state(0),
      I2 => Chip1_Chip2_current_state_FSM_FFd3_71,
      LO => N205,
      O => N74
    );
  Chip2_CHIP4_Mshreg_present_state_FSM_FFd3 : SRL16
    generic map(
      INIT => X"0001"
    )
    port map (
      A0 => N194,
      A1 => N194,
      A2 => N194,
      A3 => N194,
      CLK => Chip1_Chip3_Chip7_current_state(0),
      D => Chip2_CHIP4_present_state_FSM_FFd1_162,
      Q => Chip2_CHIP4_Mshreg_present_state_FSM_FFd3_161
    );
  Chip2_CHIP4_present_state_FSM_FFd3 : FD
    generic map(
      INIT => '0'
    )
    port map (
      C => Chip1_Chip3_Chip7_current_state(0),
      D => Chip2_CHIP4_Mshreg_present_state_FSM_FFd3_161,
      Q => Chip2_CHIP4_present_state_FSM_FFd3_164
    );
  Chip1_Chip3_Chip2_Mcount_present_state_xor_6_11_INV_0 : INV
    port map (
      I => N24,
      O => Chip1_Chip3_Chip2_Mcount_present_state_xor_6_1
    );

end Structure;

