--------------------------------------------------------------------------------
-- An example of a MUX_4, multiplexer or data selector of 2 channels with enable
-- This component is used as a building block for many other projects     
 
---------------------------------------------------
-- Project P2  - CSD 
-- http://digsys.upc.edu
--------------------------------------------------------------------------------
library IEEE;
use IEEE.std_logic_1164.all;


ENTITY  MUX_4 is

	port(	E 	:	in std_logic;
			Ch0	:	in std_logic;
			Ch1	:	in std_logic;
			Ch2	:	in std_logic;
			Ch3	:	in std_logic;
			s	:	in std_logic_vector(1 downto 0);
			y	:	out std_logic
		);
end MUX_4;

architecture truth_table of MUX_4 is
begin   

y	<= 	Ch0 when (s ="00" and E = '1') else
		Ch1 when (s ="01" and E = '1') else
		Ch2 when (s ="10" and E = '1') else
		Ch3 when (s ="11" and E = '1') else '0'; 
		
end truth_table;